
%global meadversion 3.2.0
%global namedversion 3.2.0.Final-redhat-2
%global meadalpha .Final_redhat_2
%global meadrel .1
%global serial 3

%bcond_without mead
%bcond_with javadoc

%define maven_version 3.2.0.Final-redhat-2

Name:           jbosgi-spi
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBossOSGi SPI
License:        LGPLv2+
URL:            http://github.com/jbosgi/jbosgi-spi
Group:          Development/Java

%if %with mead
Source100: jbosgi-spi-3.2.0.Final-redhat-2-scm-sources.zip
Source102: jbosgi-spi-3.2.0.Final-redhat-2.pom
Source103: jbosgi-spi-3.2.0.Final-redhat-2-project-sources.tar.gz
Source104: jbosgi-spi-3.2.0.Final-redhat-2-javadoc.jar
Source105: jbosgi-spi-3.2.0.Final-redhat-2.jar
Source106: jbosgi-spi-3.2.0.Final-redhat-2-sources.jar
%endif

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
#Requires:      jboss-parent >= 0:14.0.0
BuildRequires:  jboss-parent >= 0:14.0.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{summary}
Group:          Development/Java

Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description javadoc
API documentation for %{summary}.
%endif

%prep
%setup -q -n jbosgi-spi -T -b 100
                                                                                                     
%build
                                                                                                     
%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# depmaps
%add_to_maven_depmap org.jboss.osgi.spi jbosgi-spi %{namedversion} JPP %{name}

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion} -x META-INF/\*
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}
                                                                                                     
%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/%{name}-%{namedversion}.jar
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{namedversion}-sources.jar
%{_javadir}/%{name}-sources.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Fri Feb 06 2015 David Walluck <dwalluck@redhat.com> - 3.2.0-3.Final_redhat_2.1
- remove Requires: jboss-parent
- add license

* Thu Dec 18 2014 Lukas Kubik <lkubik@redhat.com> - 3.2.0-2.Final_redhat_2.1
- Use jboss-osgi-parent in version 1.0.15.redhat-3
  (use OSGi-compatible version string)
- Update dependency management for eap 6.4.0

* Sun Feb 17 2013 Lin Gao <lgao@redhat.com> - 0:3.2.0-1.Final_redhat_1
- Upgrade to 3.2.0.Final

* Wed Sep 26 2012 Paul Gier <pgier@redhat.com> - 3.1.0-3.Final_redhat_3
- Minor pom fix to make args4j an optional dependency

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 3.1.0-2.Final_redhat_2.2
- Rebuild for RHEL-5

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 3.1.0-1.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 3.1.0-1.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 02 2012 Hui Wang <huwang@redhat.com> - 0:3.1.0-1.Final_redhat_1
- Upgrade to 3.1.0.Final

* Tue Mar 20 2012 Hui Wang <huwang@redhat.com> - 0:3.0.1-1.Final_redhat_1.3
- Fix install path
- Enable javadoc subpackage

* Tue Mar 13 2012 Fernando Nasser <fnasser@redhat.com> - 0:3.0.1-1.Final_redhat_1.2
- Populate java-signed

* Fri Mar 02 2012 Hui Wang <huwang@redhat.com> - 0:3.0.1-1.Final_redhat_1.1
- Upgrade to 3.0.1.Final

* Fri Feb 17 2012 Hui Wang <huwang@redhat.com> - 0:2.0.4-1_redhat_1
- Upgrade to 2.0.4

* Mon Feb 13 2012 Hui Wang <huwang@redhat.com> - 0:1.0.28-4_redhat_1
- Fix release number

* Mon Feb 13 2012 Hui Wang <huwang@redhat.com> - 0:1.0.28-3_redhat_1
- Resigned

* Fri Feb 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.28-2_redhat_1.1
- Resigned

* Fri Jan 20 2012 Hui Wang <huwang@redhat.com> - 0:1.0.28-2_redhat_1
- RPM build against mead build
